X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Problem Installing Firefox 3.6.8 as error "no helper application" to open file

Posted

Used an Asus netbook running Linux / Firefox version 2.0.0.0.11 for 3 years no problems. Now I cannot use "Hotmail" on it as it requires an update to version as above.

It appears to download but not to open and I get the message "could not be opened because the associated helper application doe not exist" I am also not sure where I should be downloading it too but chose home/user.

I am very basic user but checked the File "open with" settings and there is no application for a tar.bz2

Any advice would be very much appreciated

Modified by mtp123

Chosen solution

Did you read all 12 pages of this thread?

http://forum.eeeuser.com/viewtopic.php?id=41815

I can't help you any further myself, as I only have done that process once and I wasn't happy with Firefox 3 on Asus / Xandros when I was done. The following day I installed Ubuntu 10.04 - the EasyPeasy remix - http://www.geteasypeasy.com/

Read this answer in context 1

Additional System Details

This started when...

Tried to install first 3 days ago

Installed Plug-ins

  • Shockwave Flash 9.0 r115
  • mplayerplug-in 3.45Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer JavaScript Enabled and Using GTK2 Widgets
  • The Adobe Reader plugin is used to enable viewing of PDF and FDF files from within the browser.
  • Java(TM) Plug-in 1.5.0_10

Application

  • User Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10754 solutions 96791 answers

Helpful Reply

Which Linux version and what hardware do you have?

If you have an older Linux version then you may be missing the required libraries for Firefox 3 versions.

See http://www.mozilla.com/firefox/system-requirements.html - Firefox 3.6 System Requirements

the-edmeister
  • Top 10 Contributor
  • Moderator
3197 solutions 24401 answers

The version of Xandros Linux (from early 2007) that Asus is using on the eeePC doesn't have the GTK package needed to run Firefox 3+ versions, you need to update it. See this: http://forum.eeeuser.com/viewtopic.php?id=41815 or this: http://wiki.eeeuser.com/howto:installfirefox3?s=firefox

IMO, you're better off replacing that old operating system with a newer one that has some support for it today. (Asus got into bed with Microsoft last year and hasn't kept their Asus / Xandros operating system up to date; the last updates I saw were in early 2009.)

The Netbook Remix of Ubuntu 10.04 is a perfect replacement, IMO. https://help.ubuntu.com/community/EeePC

Question owner

Thank you I think I now at least understand the problem.

Question owner

Thank you all for your help.

I do not have the knowledge or confidence to put on a new operating system but will keep a note of one you suggested. As I may be able to get someone else to do it at a later date.

I would like to do as your link said for Firefox3.0.1. Know being very stupid but cannot work out how to save to home/user. When I browse I can find a file home but not with the addition of user.

the-edmeister
  • Top 10 Contributor
  • Moderator
3197 solutions 24401 answers

Chosen Solution

Did you read all 12 pages of this thread?

http://forum.eeeuser.com/viewtopic.php?id=41815

I can't help you any further myself, as I only have done that process once and I wasn't happy with Firefox 3 on Asus / Xandros when I was done. The following day I installed Ubuntu 10.04 - the EasyPeasy remix - http://www.geteasypeasy.com/

Question owner

Thank you. I contacted ASUS and via online chat was guided through the installation procedure.

If I have problems i feel a bit braver now so will try the system you suggest.

Many thanks for your help.